<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__sar__ctrl__register__enums" kind="group">
    <compoundname>group_sar_ctrl_register_enums</compoundname>
    <title>Control Register Enums</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__sar__ctrl__register__enums_1ga35b1b11fbe44b764ba6b6346116e177f" kind="enum" prot="public" static="no">
        <name>cy_en_sar_ctrl_pwr_ctrl_vref_t</name>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga35b1b11fbe44b764ba6b6346116e177fade0d2c031e53b1797fbc757abe021db4" prot="public">
          <name>CY_SAR_VREF_PWR_100</name>
          <initializer>= 0UL &lt;&lt; SAR_CTRL_PWR_CTRL_VREF_Pos</initializer>
          <briefdescription>
<para>Full power (100%) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga35b1b11fbe44b764ba6b6346116e177fa398a660d1a98069b474713c4a26e383a" prot="public">
          <name>CY_SAR_VREF_PWR_80</name>
          <initializer>= 1UL &lt;&lt; SAR_CTRL_PWR_CTRL_VREF_Pos</initializer>
          <briefdescription>
<para>80% power </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga35b1b11fbe44b764ba6b6346116e177fa9a311c392dd64ebc60b5ec18c6207ecc" prot="public">
          <name>CY_SAR_VREF_PWR_60</name>
          <initializer>= 2UL &lt;&lt; SAR_CTRL_PWR_CTRL_VREF_Pos</initializer>
          <briefdescription>
<para>60% power </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga35b1b11fbe44b764ba6b6346116e177fa8d0919fee4adb8921b7d0bc686295d1f" prot="public">
          <name>CY_SAR_VREF_PWR_50</name>
          <initializer>= 3UL &lt;&lt; SAR_CTRL_PWR_CTRL_VREF_Pos</initializer>
          <briefdescription>
<para>50% power </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga35b1b11fbe44b764ba6b6346116e177fab7a69c39676bd6de5da91c4d19b5cce4" prot="public">
          <name>CY_SAR_VREF_PWR_40</name>
          <initializer>= 4UL &lt;&lt; SAR_CTRL_PWR_CTRL_VREF_Pos</initializer>
          <briefdescription>
<para>40% power </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga35b1b11fbe44b764ba6b6346116e177faef42fcf37c15658bc263e86582175118" prot="public">
          <name>CY_SAR_VREF_PWR_30</name>
          <initializer>= 5UL &lt;&lt; SAR_CTRL_PWR_CTRL_VREF_Pos</initializer>
          <briefdescription>
<para>30% power </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga35b1b11fbe44b764ba6b6346116e177fa5ef29f130c7268e294ac9b07a767c3b1" prot="public">
          <name>CY_SAR_VREF_PWR_20</name>
          <initializer>= 6UL &lt;&lt; SAR_CTRL_PWR_CTRL_VREF_Pos</initializer>
          <briefdescription>
<para>20% power </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga35b1b11fbe44b764ba6b6346116e177fadb90624a19aecabc81c761a951a19501" prot="public">
          <name>CY_SAR_VREF_PWR_10</name>
          <initializer>= 7UL &lt;&lt; SAR_CTRL_PWR_CTRL_VREF_Pos</initializer>
          <briefdescription>
<para>10% power </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_ctrl_pwr_ctrl_vref_t: </bold><linebreak />Reference voltage buffer power mode definitions.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="858" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="848" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="849" />
      </memberdef>
      <memberdef id="group__group__sar__ctrl__register__enums_1ga8f8244be5b3475b12564d27ce435dc83" kind="enum" prot="public" static="no">
        <name>cy_en_sar_ctrl_vref_sel_t</name>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga8f8244be5b3475b12564d27ce435dc83a5f2321e40140e516e92a0dd9bd729e2d" prot="public">
          <name>CY_SAR_VREF_SEL_BGR</name>
          <initializer>= 4UL &lt;&lt; SAR_CTRL_VREF_SEL_Pos</initializer>
          <briefdescription>
<para>System wide bandgap from <ref kindref="compound" refid="group__group__sysanalog">AREF</ref> (Vref buffer on) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga8f8244be5b3475b12564d27ce435dc83adcb52dba59cd63cf2c9fdcfcbe07b007" prot="public">
          <name>CY_SAR_VREF_SEL_EXT</name>
          <initializer>= 5UL &lt;&lt; SAR_CTRL_VREF_SEL_Pos</initializer>
          <briefdescription>
<para>External Vref direct from a pin. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga8f8244be5b3475b12564d27ce435dc83a46668fff4dd5e85d09a77dac4f5821d3" prot="public">
          <name>CY_SAR_VREF_SEL_VDDA_DIV_2</name>
          <initializer>= 6UL &lt;&lt; SAR_CTRL_VREF_SEL_Pos</initializer>
          <briefdescription>
<para>Vdda/2 (Vref buffer on) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga8f8244be5b3475b12564d27ce435dc83a609f8bdeee2cfce3f823f9dfec190900" prot="public">
          <name>CY_SAR_VREF_SEL_VDDA</name>
          <initializer>= 7UL &lt;&lt; SAR_CTRL_VREF_SEL_Pos</initializer>
          <briefdescription>
<para>Vdda. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_ctrl_vref_sel_t: </bold><linebreak />Reference voltage selection definitions.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="867" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="861" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="862" />
      </memberdef>
      <memberdef id="group__group__sar__ctrl__register__enums_1ga6c41e98b415fe0fd34cbe3508b5a0903" kind="enum" prot="public" static="no">
        <name>cy_en_sar_ctrl_bypass_cap_t</name>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga6c41e98b415fe0fd34cbe3508b5a0903aebc0ad5773a22de9f7ad3baa96f12293" prot="public">
          <name>CY_SAR_BYPASS_CAP_DISABLE</name>
          <initializer>= 0UL &lt;&lt; SAR_CTRL_VREF_BYP_CAP_EN_Pos</initializer>
          <briefdescription>
<para>Disable Vref bypass cap. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga6c41e98b415fe0fd34cbe3508b5a0903ad56ab5b6472fac189d368943a2425ed0" prot="public">
          <name>CY_SAR_BYPASS_CAP_ENABLE</name>
          <initializer>= 1UL &lt;&lt; SAR_CTRL_VREF_BYP_CAP_EN_Pos</initializer>
          <briefdescription>
<para>Enable Vref bypass cap. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_ctrl_bypass_cap_t: </bold><linebreak />Vref bypass cap enable.</para></briefdescription>
        <detaileddescription>
<para>When enabled, a bypass capacitor should be connected to the dedicated Vref pin of the device. Refer to the device datasheet for the minimum bypass capacitor value to use. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="878" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="874" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="875" />
      </memberdef>
      <memberdef id="group__group__sar__ctrl__register__enums_1ga714456a56b0bed98012dc37256b1145c" kind="enum" prot="public" static="no">
        <name>cy_en_sar_ctrl_neg_sel_t</name>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga714456a56b0bed98012dc37256b1145ca24b7a5b85507d15f0cb04c55c2dc6436" prot="public">
          <name>CY_SAR_NEG_SEL_VSSA_KELVIN</name>
          <initializer>= 0UL &lt;&lt; SAR_CTRL_NEG_SEL_Pos</initializer>
          <briefdescription>
<para>Connect Vminus to VSSA_KELVIN. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga714456a56b0bed98012dc37256b1145ca3c4fb0ec8eb40684d142a370b9bba1ed" prot="public">
          <name>CY_SAR_NEG_SEL_P1</name>
          <initializer>= 2UL &lt;&lt; SAR_CTRL_NEG_SEL_Pos</initializer>
          <briefdescription>
<para>Connect Vminus to Pin 1 of SARMUX dedicated port. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga714456a56b0bed98012dc37256b1145ca28c775ed6f6eb15215e74b3fe27a2da0" prot="public">
          <name>CY_SAR_NEG_SEL_P3</name>
          <initializer>= 3UL &lt;&lt; SAR_CTRL_NEG_SEL_Pos</initializer>
          <briefdescription>
<para>Connect Vminus to Pin 3 of SARMUX dedicated port. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga714456a56b0bed98012dc37256b1145caa16a5760a050f5276779e820289186f5" prot="public">
          <name>CY_SAR_NEG_SEL_P5</name>
          <initializer>= 4UL &lt;&lt; SAR_CTRL_NEG_SEL_Pos</initializer>
          <briefdescription>
<para>Connect Vminus to Pin 5 of SARMUX dedicated port. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga714456a56b0bed98012dc37256b1145ca7a38746f12851aa2069ddda8844c3af7" prot="public">
          <name>CY_SAR_NEG_SEL_P7</name>
          <initializer>= 5UL &lt;&lt; SAR_CTRL_NEG_SEL_Pos</initializer>
          <briefdescription>
<para>Connect Vminus to Pin 6 of SARMUX dedicated port. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga714456a56b0bed98012dc37256b1145ca7a9aad3ff14fa48199348a1be3460a13" prot="public">
          <name>CY_SAR_NEG_SEL_ACORE</name>
          <initializer>= 6UL &lt;&lt; SAR_CTRL_NEG_SEL_Pos</initializer>
          <briefdescription>
<para>Connect Vminus to an ACORE in AROUTE. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga714456a56b0bed98012dc37256b1145ca17fcd94823d6172865388780e67e2d9b" prot="public">
          <name>CY_SAR_NEG_SEL_VREF</name>
          <initializer>= 7UL &lt;&lt; SAR_CTRL_NEG_SEL_Pos</initializer>
          <briefdescription>
<para>Connect Vminus to VREF input of SARADC. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_ctrl_neg_sel_t: </bold><linebreak />Negative terminal (Vminus) selection definitions for single-ended channels.</para></briefdescription>
        <detaileddescription>
<para>The Vminus input for single ended channels can be connected to Vref, VSSA, or routed out to an external pin. The options for routing to a pin are through Pin 1, Pin 3, Pin 5, or Pin 7 of the SARMUX dedicated port or an acore wire in AROUTE, if available on the device.</para><para><ref kindref="member" refid="group__group__sar__ctrl__register__enums_1gga714456a56b0bed98012dc37256b1145ca24b7a5b85507d15f0cb04c55c2dc6436">CY_SAR_NEG_SEL_VSSA_KELVIN</ref> comes straight from a Vssa pad without any shared branches so as to keep quiet and avoid voltage drops. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="899" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="890" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="891" />
      </memberdef>
      <memberdef id="group__group__sar__ctrl__register__enums_1gaed426a773be43a1d02d40fe5bef5349c" kind="enum" prot="public" static="no">
        <name>cy_en_sar_ctrl_hw_ctrl_negvref_t</name>
        <enumvalue id="group__group__sar__ctrl__register__enums_1ggaed426a773be43a1d02d40fe5bef5349ca6a71af4d6f3d8c5895247c58003beefd" prot="public">
          <name>CY_SAR_CTRL_NEGVREF_FW_ONLY</name>
          <initializer>= 0UL &lt;&lt; SAR_CTRL_SAR_HW_CTRL_NEGVREF_Pos</initializer>
          <briefdescription>
<para>Only firmware control of the switch. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__ctrl__register__enums_1ggaed426a773be43a1d02d40fe5bef5349ca6e6f562eedfea804f48f900b95b99e19" prot="public">
          <name>CY_SAR_CTRL_NEGVREF_HW</name>
          <initializer>= 1UL &lt;&lt; SAR_CTRL_SAR_HW_CTRL_NEGVREF_Pos</initializer>
          <briefdescription>
<para>Enable hardware control of the switch. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_ctrl_hw_ctrl_negvref_t: </bold><linebreak />Enable hardware control of the switch between Vref and the Vminus input.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="906" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="902" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="903" />
      </memberdef>
      <memberdef id="group__group__sar__ctrl__register__enums_1ga0f2ec6b75df20cba7016f35ef164c181" kind="enum" prot="public" static="no">
        <name>cy_en_sar_ctrl_comp_delay_t</name>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga0f2ec6b75df20cba7016f35ef164c181ad149b365524975b9de7f601c1453b444" prot="public">
          <name>CY_SAR_CTRL_COMP_DLY_2P5</name>
          <initializer>= 0UL &lt;&lt; SAR_CTRL_COMP_DLY_Pos</initializer>
          <briefdescription>
<para>2.5 ns delay, use for SAR conversion rate up to 2.5 Msps </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga0f2ec6b75df20cba7016f35ef164c181ac08aabced2b8681e52655c13b9670537" prot="public">
          <name>CY_SAR_CTRL_COMP_DLY_4</name>
          <initializer>= 1UL &lt;&lt; SAR_CTRL_COMP_DLY_Pos</initializer>
          <briefdescription>
<para>4 ns delay, use for SAR conversion rate up to 2.0 Msps </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga0f2ec6b75df20cba7016f35ef164c181a761d40317aba2b978450ca924fc59604" prot="public">
          <name>CY_SAR_CTRL_COMP_DLY_10</name>
          <initializer>= 2UL &lt;&lt; SAR_CTRL_COMP_DLY_Pos</initializer>
          <briefdescription>
<para>10 ns delay, use for SAR conversion rate up to 1.5 Msps </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga0f2ec6b75df20cba7016f35ef164c181a41a28e14f99014374cc65a747d937a00" prot="public">
          <name>CY_SAR_CTRL_COMP_DLY_12</name>
          <initializer>= 3UL &lt;&lt; SAR_CTRL_COMP_DLY_Pos</initializer>
          <briefdescription>
<para>12 ns delay, use for SAR conversion rate up to 1 Msps </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_ctrl_comp_delay_t: </bold><linebreak />Configure the comparator latch delay.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="915" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="909" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="910" />
      </memberdef>
      <memberdef id="group__group__sar__ctrl__register__enums_1ga3b5fb1f5e7ab25bb3fb93ced1eb84c08" kind="enum" prot="public" static="no">
        <name>cy_en_sar_ctrl_comp_pwr_t</name>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga3b5fb1f5e7ab25bb3fb93ced1eb84c08a22e30a05a32e743fd283181b9f15cdca" prot="public">
          <name>CY_SAR_COMP_PWR_100</name>
          <initializer>= 0UL &lt;&lt; SAR_CTRL_COMP_PWR_Pos</initializer>
          <briefdescription>
<para>100% power, use this for &gt; 2 Msps </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga3b5fb1f5e7ab25bb3fb93ced1eb84c08a978907998e2818fde6c3073f8715a611" prot="public">
          <name>CY_SAR_COMP_PWR_80</name>
          <initializer>= 1UL &lt;&lt; SAR_CTRL_COMP_PWR_Pos</initializer>
          <briefdescription>
<para>80% power, use this for 1.5 - 2 Msps </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga3b5fb1f5e7ab25bb3fb93ced1eb84c08a47d61a602711ebfc4599ead19d33e2f2" prot="public">
          <name>CY_SAR_COMP_PWR_60</name>
          <initializer>= 2UL &lt;&lt; SAR_CTRL_COMP_PWR_Pos</initializer>
          <briefdescription>
<para>60% power, use this for 1.0 - 1.5 Msps </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga3b5fb1f5e7ab25bb3fb93ced1eb84c08a87a0d9447babc1e29fcb69bfa1e9ddea" prot="public">
          <name>CY_SAR_COMP_PWR_50</name>
          <initializer>= 3UL &lt;&lt; SAR_CTRL_COMP_PWR_Pos</initializer>
          <briefdescription>
<para>50% power, use this for 500 ksps - 1 Msps </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga3b5fb1f5e7ab25bb3fb93ced1eb84c08ada4039f440f5d808d804979de9234dc0" prot="public">
          <name>CY_SAR_COMP_PWR_40</name>
          <initializer>= 4UL &lt;&lt; SAR_CTRL_COMP_PWR_Pos</initializer>
          <briefdescription>
<para>40% power, use this for 250 - 500 ksps </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga3b5fb1f5e7ab25bb3fb93ced1eb84c08a7460044d1bdc08d2fc472455dc4d94c4" prot="public">
          <name>CY_SAR_COMP_PWR_30</name>
          <initializer>= 5UL &lt;&lt; SAR_CTRL_COMP_PWR_Pos</initializer>
          <briefdescription>
<para>30% power, use this for 100 - 250 ksps </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga3b5fb1f5e7ab25bb3fb93ced1eb84c08ae32926b8abc169eaa645e8b5b4cd885d" prot="public">
          <name>CY_SAR_COMP_PWR_20</name>
          <initializer>= 6UL &lt;&lt; SAR_CTRL_COMP_PWR_Pos</initializer>
          <briefdescription>
<para>20% power, use this for TDB sps </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga3b5fb1f5e7ab25bb3fb93ced1eb84c08aa091eb38549a69f4a213a1facc0afcf4" prot="public">
          <name>CY_SAR_COMP_PWR_10</name>
          <initializer>= 7UL &lt;&lt; SAR_CTRL_COMP_PWR_Pos</initializer>
          <briefdescription>
<para>10% power, use this for &lt; 100 ksps </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_ctrl_comp_pwr_t: </bold><linebreak />Configure the comparator power mode.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="928" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="918" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="919" />
      </memberdef>
      <memberdef id="group__group__sar__ctrl__register__enums_1ga73b02bd3911df06c999614e5fb3cc30d" kind="enum" prot="public" static="no">
        <name>cy_en_sar_ctrl_sarmux_deep_sleep_t</name>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga73b02bd3911df06c999614e5fb3cc30da03f7cc9c7bf47630541c052e8eaf5616" prot="public">
          <name>CY_SAR_DEEPSLEEP_SARMUX_OFF</name>
          <initializer>= 0UL &lt;&lt; SAR_CTRL_DEEPSLEEP_ON_Pos</initializer>
          <briefdescription>
<para>Disable SARMUX operation during Deep Sleep. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga73b02bd3911df06c999614e5fb3cc30da058743f7cee8a55a7ebfca6a6530cd5c" prot="public">
          <name>CY_SAR_DEEPSLEEP_SARMUX_ON</name>
          <initializer>= 1UL &lt;&lt; SAR_CTRL_DEEPSLEEP_ON_Pos</initializer>
          <briefdescription>
<para>Enable SARMUX operation during Deep Sleep. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_ctrl_sarmux_deep_sleep_t: </bold><linebreak />Enable or disable the SARMUX during Deep Sleep power mode.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="935" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="931" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="932" />
      </memberdef>
      <memberdef id="group__group__sar__ctrl__register__enums_1ga0f744ea4e07091484f5587e5466a4a57" kind="enum" prot="public" static="no">
        <name>cy_en_sar_ctrl_sarseq_routing_switches_t</name>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga0f744ea4e07091484f5587e5466a4a57ae0fe1fa48ba84e1a1d0fc9e3d4e0dcd5" prot="public">
          <name>CY_SAR_SARSEQ_SWITCH_ENABLE</name>
          <initializer>= 0UL &lt;&lt; SAR_CTRL_SWITCH_DISABLE_Pos</initializer>
          <briefdescription>
<para>Enable the SARSEQ to change the routing switches defined in the channel configurations. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__ctrl__register__enums_1gga0f744ea4e07091484f5587e5466a4a57a81471e07bac4eb63b5aaca6c99654115" prot="public">
          <name>CY_SAR_SARSEQ_SWITCH_DISABLE</name>
          <initializer>= 1UL &lt;&lt; SAR_CTRL_SWITCH_DISABLE_Pos</initializer>
          <briefdescription>
<para>Disable the SARSEQ. </para>          </briefdescription>
          <detaileddescription>
<para>It is up to the firmware to set the routing switches </para>          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_ctrl_sarseq_routing_switches_t: </bold><linebreak />Enable or disable the SARSEQ control of routing switches.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="942" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="938" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="939" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This set of enumerations aids in configuring the SAR CTRL register. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>